<document>
<head>
    <name url="index.html">GroboUtils Home Page</name>
    <doc-version>$Date: 2004/02/27 22:18:35 $</doc-version>
</head>
<body>
<section>Overview</section>
<P>
GroboUtils aims to expand the testing possibilities of Java.  It contains
many <a href="allprojects.html">sub-projects</a> which experiment
with different aspects of testing through Java.
</P>
<P>
The popular tools included with GroboUtils include
<a href="testing-junit/using_mtt.html">multi-threaded tests</a>,
<a href="testing-junit/using_iftc.html">hierarchial unit tests</a>, and a
<a href="codecoverage/index.html">code coverage tool</a>.
</P>
<P>
This toolset is released under the <a href="license.html">MIT license</a>.
</P>

<BR />

<section>Latest Versions</section>
<P><B>GroboUtils: v4</B></P>
<P><I>Visit the <a href="downloads.html">downloads</a> section to
get the latest version.</I>
<a href="CHANGES.TXT">Here are the change and release notes</a></P>

<BR />

<section>Publicity</section>
<UL>
    <LI>
<a href="http://java.net">java.net</a>:
<a href="http://today.java.net/pub/a/today/2003/08/06/multithreadedTests.html"
>Multithreaded Tests with JUnit</a> by N. Alex Rupp
    </LI>
    <LI>
<a href="http://www.ddj.com">Dr. Dobb's Journal</a>
<a href="http://www.ddj.com/articles/2003/0302/">February, 2003</a>:
Testing Java Interfaces With JUnit by Matt Albrecht
    </LI>
</UL>

<BR />

</body>
</document>

